package com.bocloud.ams.entity.enums;

/**
 * 属性类型
 *
 * @author tangcq
 */
public enum PropertyType {
    /**
     * 单行文本
     */
    TEXTFIELD,
    /**
     * 文本框
     */
    TEXTAREA,
    /**
     * 下来菜单
     */
    SELECT,
    /**
     * 单选
     */
    RADIO,
    /**
     * 多选
     */
    CHECKBOX,
    /**
     * 引用
     */
    QUOTE,
    /**
     * 日期
     */
    DATE,
    /**
     * 日期+时间
     */
    TIME,
    /**
     * 加密
     */
    TEXTENCRYPT,
    /**
     * 整数
     */
    INTEGER,
    /**
     * 小数
     */
    FLOAT,
    /**
     * 表格
     */
    TABLE,
}
