package com.bocloud.ams.entity.model;

import com.bocloud.ams.entity.instance.InstanceRelation;
import lombok.Data;

import java.util.List;

/**
 * @author 胡立伟
 * @program: bocloud.ams
 * @description:
 * @date 2022/6/2 14:07
 */
@Data
public class InstanceRelationModel {
    private Long id;
    private Long relationCategoryId;
    private String relationCategoryCode;
    private Long relationId;
    private String relationName;
    private Long sourceModuleId;
    private String sourceModuleCode;
    private Long sourceInstanceId;
    private String sourceInstanceName;
    private Long targetModuleId;
    private String targetModuleCode;
    private Long targetInstanceId;
    private String targetInstanceName;
    private List<InstanceRelation> cmdbInstanceRelations;

    /**
     * 实例之间的关系 与 模型定义之间的关系 是否一致
     * false 是一致 ； true 是相反
     */
    private Boolean isReversed = false;
    private String type;
}
