package com.bocloud.ams.entity.model;

import java.util.List;
import java.util.Map;

import lombok.Data;

/**
 * @author 胡立伟
 * @program: bocloud.ams
 * @description: { label: '应用系统名称', value: 'name', type: 'Select', data: [{ name: '', id: '' }] }
 * @date 2022/5/19 11:06
 */
@Data
public class SearchConfigModel {
    /**
     * 模型id
     */
    private Long moduleId;
    /**
     * 搜索项名称
     */
    private String label;
    /**
     * 搜索项key
     */
    private String value;
    /**
     * 搜索框类型
     */
    private String type;
    /**
     * 搜索项的下来框数据[{ name: '', id: '' }]
     */
    private List<Map<String, Object>> data;

    public SearchConfigModel() {
        super();
    }

    public SearchConfigModel(Long moduleId, String label, String value, String type) {
        super();
        this.moduleId = moduleId;
        this.label = label;
        this.value = value;
        this.type = type;
    }

}
