package com.bocloud.ams.entity.module;


import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * ci_regular_expression实体类
 * @author sunke
 * @Version 1.0
 * @since 2020年4月7日
 */
@Table("ci_regular_expression")
@Data
@EqualsAndHashCode(callSuper = true)
public class RegularExpression extends GenericEntity {

	@PK(value = PKStrategy.AUTO)
	private Long id;

	@Column("code")
	private String code;

	@Column("expression")
	private String expression;

	@Column("message")
	private String message;
}
