package com.bocloud.ams.service.collection;

import com.bocloud.ams.entity.collection.CollectionComponent;
import com.bocloud.ams.entity.collection.CollectionTemplate;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;

/**
 * @Author liuyuanyuan
 * @Date 2022/6/7 0007 14:32
 * @Description:
 */
public interface CollectionTemplateService {

    GeneralResult<GridBean<CollectionComponent>> components(Pager pager, String positionKey);

    GeneralResult<GridBean<CollectionTemplate>> list(Pager pager, String positionKey);

    GeneralResult<CollectionTemplate> save(CollectionTemplate template, Long target);

    GeneralResult<CollectionTemplate> modify(CollectionTemplate template, Long target);

    GeneralResult<CollectionTemplate> detail(Long id, String positionKey);

    GeneralResult<Void> remove(Long id, Long target);

}
