package com.bocloud.ams.service.module;

import com.bocloud.ams.entity.module.ModuleGroup;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;

import java.util.List;

/**
 * @Author 胡立伟
 * @Date 2022/4/29 0029 16:12
 * @Description:
 */
public interface ModuleGroupService {

    GeneralResult<List<ModuleGroup>> collections(String category, String moduleName, String positionKey);

    GeneralResult<List<ModuleGroup>> queryRoot(String positionKey);

    GeneralResult<List<ModuleGroup>> queryRootChildren(String positionKey);

    GeneralResult<Void> save(ModuleGroup group, Long target);

    GeneralResult<ModuleGroup> detail(Long id, String positionKey);

    GeneralResult<Void> modify(ModuleGroup group, Long target);

    GeneralResult<ModuleGroup> queryChildren(Long groupId, String menu, RequestContext context, String positionKey);

    GeneralResult<Void> remove(Long id, Long userId);

    GeneralResult<List<ModuleGroup>> querylist(String positionKey);

    GeneralResult<List<ModuleGroup>> queryRootChildren(Long groupId, String menu, RequestContext context, String positionKey);
}
