package com.bocloud.ams.service.module;

import com.bocloud.ams.entity.model.PropertyModel;
import com.bocloud.ams.entity.module.CiModule;
import com.bocloud.ams.entity.module.Property;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

import java.util.List;

/**
 * @author 胡立伟
 * @program: bocloud.ams
 * @description:
 * @date 2022/5/5 11:54
 */
public interface ModuleService {

    GeneralResult<GridBean<CiModule>> getModelList(Pager pager, String positionKey);

    GeneralResult<List<CiModule>> list( String positionKey);

    GeneralResult<CiModule> detail(Long id, String positionKey);

    GeneralResult<Void> save(CiModule module, Long target);

    GeneralResult<Void> remove(Long id, Long userId);

    GeneralResult<Void> modify(CiModule module, Long target);

    GeneralResult<PropertyModel> property(Long id, String positionKey);

    GeneralResult<GridBean<Property>> propertyList(Long moduleId, Pager pager, String positionKey);

    GeneralResult<Void> modifyProperty(PropertyModel model, Long id, RequestContext context);

    GeneralResult statistics(RequestContext context, String positionKey);
}
