package com.bocloud.ams.service.utils;

import java.util.*;
import java.util.function.Function;
import java.util.function.Predicate;

/**
 * @author huliwei
 * @date 2023/1/5
 */
public class StreamUtils {

    /**
     * 根据属性去重
     * @param function
     * @param <T>
     * @return
     */
    public static <T,R> Predicate<T> distinctByKey(Function<? super T,R> function){
        Map<R,Boolean> map = new HashMap<>();
        return t -> map.putIfAbsent(function.apply(t),Boolean.TRUE) == null;
    }

}
