package com.bocloud.ams.task.input;

import java.util.List;

import com.bocloud.ams.task.model.WorkerHost;

/**
 * @ Description：任务执行目标主机或者设备 @ Author ：丁明威 @ Date ：Created in 10:31
 *   2018/12/17 @ Modified By：
 */
public class Target {
	private Boolean sudo;
	private Boolean become;
	private String becomeUser;
	private String becomePass;
	private Integer identId;
	private List<WorkerHost> data;
	private String authenMode;
	private String becomeMethod;

	public Target(Boolean sudo, Integer identId, List<WorkerHost> data, String authenMode) {
		this.sudo = sudo;
		this.identId = identId;
		this.data = data;
		this.authenMode = authenMode;
	}

	public Target() {
	}

	public String getBecomeMethod() {
		return becomeMethod;
	}

	public void setBecomeMethod(String becomeMethod) {
		this.becomeMethod = becomeMethod;
	}

	public Boolean getSudo() {
		return sudo;
	}

	public void setSudo(Boolean sudo) {
		this.sudo = sudo;
	}

	public Boolean getBecome() {
		return become;
	}

	public void setBecome(Boolean become) {
		this.become = become;
	}

	public String getBecomeUser() {
		return becomeUser;
	}

	public void setBecomeUser(String becomeUser) {
		this.becomeUser = becomeUser;
	}

	public String getBecomePass() {
		return becomePass;
	}

	public void setBecomePass(String becomePass) {
		this.becomePass = becomePass;
	}

	public Integer getIdentId() {
		return identId;
	}

	public void setIdentId(Integer identId) {
		this.identId = identId;
	}

	public List<WorkerHost> getData() {
		return data;
	}

	public void setData(List<WorkerHost> data) {
		this.data = data;
	}

	public String getAuthenMode() {
		return authenMode;
	}

	public void setAuthenMode(String authenMode) {
		this.authenMode = authenMode;
	}
}