package com.bocloud.ams.task.model;


import com.megatron.common.enums.HttpRequestMethod;
import com.megatron.common.enums.PostDataFormat;

import java.util.Map;

/**
 * @ Description：
 * @ Author     ：丁明威
 * @ Date       ：Created in 11:20 2018/12/26
 * @ Modified By：
 */
public class HttpFront {
    private String url;
    private String body;
    private PostDataFormat format;
    private HttpRequestMethod method;
    private Map<String, Object> headers;
    private Map<String, Object> params;


    public HttpFront(String url, String body, PostDataFormat format, HttpRequestMethod method,
                     Map<String, Object> headers, Map<String, Object> params) {
        this.url = url;
        this.body = body;
        this.format = format;
        this.method = method;
        this.headers = headers;
        this.params = params;
    }

    public HttpFront() {
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public PostDataFormat getFormat() {
        return format;
    }

    public void setFormat(PostDataFormat format) {
        this.format = format;
    }

    public HttpRequestMethod getMethod() {
        return method;
    }

    public void setMethod(HttpRequestMethod method) {
        this.method = method;
    }

    public Map<String, Object> getHeaders() {
        return headers;
    }

    public void setHeaders(Map<String, Object> headers) {
        this.headers = headers;
    }

    public Map<String, Object> getParams() {
        return params;
    }

    public void setParams(Map<String, Object> params) {
        this.params = params;
    }
}
