package com.bocloud.ams.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author majiali
 * @date 2023/4/20
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Table("ci_table_log")
public class TableLog extends GenericEntity {
    // ID
    @PK(value = PKStrategy.AUTO)
    private Long id;
    // 编码
    @Column("code")
    private String code;

    @Column("template_table")
    private String templateTable;
}
