package com.bocloud.ams.entity.collection;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @Author liuyuanyuan
 * @Date 2022/6/7 0007 11:10
 * @Description:
 */
@Data
@Table("ci_collection_template")
@EqualsAndHashCode(callSuper = true)
public class CollectionTemplate extends GenericEntity {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("module_id")
    private Long moduleId;
    @Column("graph")
    private Object graph;
    @Column("collection_type")
    private String collectionType;
    @IgnoreAll
    private List<CollectionComponent> components;
    @IgnoreAll
    private String creator;
    @IgnoreAll
    private String moduleName;
}
