package com.bocloud.ams.entity.model;

import lombok.Data;

/**
 * @author 胡立伟
 * @program: bocloud.ams
 * @description:
 * @date 2022/6/1 17:08
 */
@Data
public class InstanceNodeModel {

    private Long sourceModuleId;

    private Long targetModuleId;

    /**
     * 实例关系数据-源实例id
     */
    private Long sourceInstanceId;
    /**
     * 实例关系数据-目的实例id
     */
    private Long targetInstanceId;

    /**
     * 实例关系数据-源实例name
     */
    private String sourceInstanceName;
    /**
     * 实例关系数据-目的实例name
     */
    private String targetInstanceName;
}
