package com.bocloud.ams.entity.model;

import java.util.List;

import com.bocloud.ams.entity.module.Property;
import com.bocloud.ams.entity.module.PropertyGroup;
import com.megatron.entity.annotations.IgnoreAll;

import lombok.Data;

/**
 * @author 胡立伟
 * @program: bocloud.ams
 * @description:
 * @date 2022/5/9 17:47
 */
@Data
public class PropertyModel {
    @IgnoreAll
    private Long moduleId;
    @IgnoreAll
    private List<PropertyGroup> groups;
    @IgnoreAll
    private List<Property> properties;

    public PropertyModel(Long moduleId, List<PropertyGroup> groups, List<Property> properties) {
        super();
        this.moduleId = moduleId;
        this.groups = groups;
        this.properties = properties;
    }

    public PropertyModel() {
        super();
    }

}
