package com.bocloud.ams.service.audit;

import com.bocloud.ams.entity.audit.OperationalAudit;
import com.bocloud.ams.entity.audit.OperationalAuditBak;
import com.bocloud.ams.entity.enums.OperationalAuditType;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;

import java.util.Map;

/**
 * @Author liuyuanyuan
 * @Date 2022/5/23 0023 17:45
 * @Description:
 */
public interface OperationalAuditService {

    GeneralResult<GridBean<OperationalAudit>> list(Pager pager, String positionKey);

    GeneralResult<OperationalAudit> detail(Long id, String positionKey);

    /**
     *
     * @param type 操作类型
     * @param moduleName 模型name
     * @param instanceName 实例name
     * @param moduleCode 模型code
     * @param id
     * @param userId
     * @param beforeMap
     * @param afterMap
     * @return
     */
    OperationalAudit buildLog(OperationalAuditType type, String moduleName, String instanceName, String moduleCode, Long id, Long userId,
                                                 Map<String, Object> beforeMap,
                                                 Map<String, Object> afterMap);

    GeneralResult<GridBean<OperationalAuditBak>> bakList(Pager pager, String positionKey);

}
