package com.bocloud.ams.task.model;

/**
 * @author dmw
 */
public class Module<Entity> {

    private String name;
    private Entity args;
    private Option options;

    /**
     * @param name
     * @param args
     */
    public Module(String name, Entity args) {
        this.name = name;
        this.args = args;
    }

    public Module(String name, Entity args, Option options) {
        this.name = name;
        this.args = args;
        this.options = options;
    }

    /**
     * @param name
     */
    public Module(String name) {
        this.name = name;
    }

    /**
     *
     */
    public Module() {
        super();
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the args
     */
    public Entity getArgs() {
        return args;
    }

    /**
     * @param args the args to set
     */
    public void setArgs(Entity args) {
        this.args = args;
    }

    public Option getOptions() {
        return options;
    }

    public void setOptions(Option options) {
        this.options = options;
    }

}
